Bug 103512 - CAN-2003-0690 kdm local root via PAM
CAN-2003-0690 kdm local root via PAM
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kdebase (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
http://www.kde.org/info/security/advi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 11:20 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-16 16:54:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2003-09-01 11:20:00 EDT
KDM does not check for successful completion of the pam_setcred()
call. In case of error conditions in the installed PAM modules, KDM
might grant local root access to any user with valid login 
credentials.

It has been reported that a certain configuration of the MIT pam_krb5
module can result in a failing pam_setcred() call leaving the 
session alive and providing root access to a regular user.

This issue will be public on September 8th 2003
Comment 2 Mark J. Cox (Product Security) 2003-09-09 07:58:24 EDT
Erratum has been delayed until Sep15 due to additional issue being found,
CAN-2003-0692, weak session cookies used by kdm.

Erratum RHSA-2003:270 in progress.
Comment 3 Mark J. Cox (Product Security) 2003-09-16 16:18:52 EDT
Erratum was released on 16th September, now public.
http://www.kde.org/info/security/advisory-20030916-1.txt 
Comment 4 Mark J. Cox (Product Security) 2003-09-16 16:54:11 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-270.html

Note You need to log in before you can comment on or make changes to this bug.